[
  {
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_edited_item": true,
        "or_is_compass": true,
        "or_compass_type": "iron_compass",
        "or_compass_material": "iron"
      },
      "item_name": {
        "translate": "item.overlyrealistic.iron_compass",
        "fallback": "Iron Compass",
        "color": "white"
      },
      "item_model": "overlyrealistic:items/iron_compass",
      "max_stack_size": 1
    }
  }
]